org.apache.ignite.internal.processors.platform.client

## Class ClientFlag

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientFlag

    public class ClientFlag
    extends Object

Client response flag.

### Field Summary

Fields
`static short` `AFFINITY_TOPOLOGY_CHANGED` Affinity topology change flag.
`static short` `ERROR` Error flag.
`static short` `NOTIFICATION` Server to client notification flag.

### Method Summary

All Methods Static Methods Concrete Methods
`static short` `makeFlags(boolean error, boolean topologyChanged)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR

    public static final short ERROR

Error flag.

See Also:
  Constant Field Values

#### AFFINITY_TOPOLOGY_CHANGED

    public static final short AFFINITY_TOPOLOGY_CHANGED

Affinity topology change flag.

See Also:
  Constant Field Values

#### NOTIFICATION

    public static final short NOTIFICATION

Server to client notification flag.

See Also:
  Constant Field Values

### Method Detail

#### makeFlags

    public static short makeFlags(boolean error,
                                  boolean topologyChanged)

Parameters:
  `error` - Error flag.
  `topologyChanged` - Affinity topology changed flag.
Returns:
  Flags for response message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023